CKSUM(1)

NAMN
cksum — beräkna och verifiera filkontrollsummor

SYNOPSIS
cksum [FLAGGA]... [FIL]...

BESKRIVNING

Skriv ut eller verifiera kontrollsummor. Som standard används alroritmen 32-bitars CRC.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --algorithm=TYP
    Välj kontrollsummetyp att använda. Se KONTROLLSUMMA nedan.

--base64
    mata ut base64-kodade kontrollsummor, inte hexadecimala

-c, --check
    Läs kontrollsummor från FILerna och kontrollera dem.

-l, --length=BITAR
    Kontrollsummelängd i bitar; får inte överskrida det maximala för algoritmen blake2 och måste vara en multipel av 8.

--raw
    mata ut råa binära kontrollsummor, inte hexadecimala

--tag
    Skapa en kontrollsumma i BSD-stil (standard).

--untagged
    Skapa en kontrollsumma i omvänd stil, utan summestil.

-z, --zero
    Avsluta varje utmatad rad med NOLL, inte nyrad, och avaktivera kontrollsekvenser i filnamn.

  De fem följande flaggorna är användbara enbart vid verifikation av kontrollsummor:

--ignore-missing
    Misslyckas inte eller rapportera status för saknade filer.

--quiet
    Skriv inte OK för varje verifierad fil.

--status
    Skriv inte ut något, statuskoden visar resultatet.

--strict
    Returnera nollskilt vid felformaterade kontrollsummerader.

-w, --warn
    Varna för felaktigt formaterade kontrollsummerader.

--debug
    Indikera vilken implementation som används.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

  KONTROLLSUMMA styr kontrollsummealgoritmen och standardutmatningsfarmatet and:

sysv
    (likvärdigt med sum -s)

bsd (likvärdigt med sum -r)

crc (likvärdigt med cksum)

md5 (likvärdigt med md5sum)

sha1
    (likvärdigt med sha1sum)

sha224
    (likvärdigt med sha224sum)

sha256
    (likvärdigt med sha256sum)

sha384
    (likvärdigt med sha384sum)

sha512
    (likvärdigt med sha512sum)

blake2b
    (likvärdigt med b2sum)

sm3 (endast tillgängligt genom cksum)

Vid kontroll skall indata vara den tidigare utdatan av detta program, eller ett likvärdigt fristående program.

UPPHOVSMAN
Skrivet av Padraig Brady och Q. Frank Xia.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/cksum>
eller tillgängligt lokalt via: info '(coreutils) cksum invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.